Package org.wildfly.plugin.tools.bootablejar

## Class ScannedArtifacts

- java.lang.Object
- - org.wildfly.plugin.tools.bootablejar.ScannedArtifacts

-     public class ScannedArtifacts
      extends Object

  Describes the artifacts required for the bootable JAR.
  Author:
    jdenise

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScannedArtifacts​(org.jboss.galleon.universe.maven.MavenArtifact bootArtifact, org.jboss.galleon.universe.maven.MavenArtifact jbossModules, Set<org.jboss.galleon.universe.maven.MavenArtifact> cliArtifacts)` | Creates a new scanned artifact description

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.jboss.galleon.universe.maven.MavenArtifact` | `getBoot()` | Returns the artifact used for booting.
    `Set<org.jboss.galleon.universe.maven.MavenArtifact>` | `getCliArtifacts()` | Returns an immutable set of CLI artifacts.
    `org.jboss.galleon.universe.maven.MavenArtifact` | `getJbossModules()` | Returns the JBoss Modules artifact.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScannedArtifacts

          public ScannedArtifacts​(org.jboss.galleon.universe.maven.MavenArtifact bootArtifact,
                                  org.jboss.galleon.universe.maven.MavenArtifact jbossModules,
                                  Set<org.jboss.galleon.universe.maven.MavenArtifact> cliArtifacts)

      Creates a new scanned artifact description
      Parameters:
        `bootArtifact` - the boot artifact
        `jbossModules` - the JBoss Modules artifact
        `cliArtifacts` - the CLI artifact

  - ### Method Detail

    - #### getBoot

          public org.jboss.galleon.universe.maven.MavenArtifact getBoot()

      Returns the artifact used for booting.
      Returns:
        the boot artifact

    - #### getJbossModules

          public org.jboss.galleon.universe.maven.MavenArtifact getJbossModules()

      Returns the JBoss Modules artifact.
      Returns:
        the JBoss Modules artifact

    - #### getCliArtifacts

          public Set<org.jboss.galleon.universe.maven.MavenArtifact> getCliArtifacts()

      Returns an immutable set of CLI artifacts. The artifacts themselves are mutable, however the set is not.
      Returns:
        the cliArtifacts